Urban Terror Forums: UrbanTerror 4.2 with dmaHD sound system - Urban Terror Forums

Jump to content

 Login | Register 
Advertisement
  • (11 Pages)
  • +
  • 1
  • 2
  • 3
  • 4
  • Last »
  • You cannot start a new topic
  • You cannot reply to this topic

UrbanTerror 4.2 with dmaHD sound system Rate Topic: ****- 3 Votes

UrbanTerror 4.2 with dmaHD sound system by p5yc0runn3r

#11 User is offline   p5yc0runn3r Icon

  •   former FS member   
    Engine Developer
  • Account: p5yc0runn3r
  • Country:
  • Joined: 21-March 10
  • Posts: 375
  • Notoriety: basic (afk)

Posted 13 April 2013 - 06:18 PM

View Postkarnute, on 13 April 2013 - 05:17 PM, said:

FYI, the binary p5yc0_UrT.x86_64 does not run in Debian wheezy (testing) because it needs libc.so.6 from GLIBC_2.14 and libm.so.6 from GLIBC_2.15 (strange mix, as Arch has glibc 2.17), but Debian wheezy has glibc 2.13 (2.17 is only in 'experimental').
Anyway, I downloaded your sources from github and compiled OK, except for some warnings (unused variables, etc.), and the executable produced runs OK now with better sound.
Thank you very much, great work.

As I said, I just took the original source and inserted dmaHD engine source code. The same compiler/linker warnings that you will get from this fork will be the same as the original source of FS. Also, my friend compiled it for me on his Arch system (which works on his system) so it could be that it would not work on other distros.

The source code is there for just these cases as yours. I am very happy that you managed to compile it and that you are satisfied with the sound of the dmaHD sound engine. Thank you! :rolleyes:

This post has been edited by p5yc0runn3r: 13 April 2013 - 06:20 PM

dmaHD developer | engine developer | crazy person


#13 User is offline   knez Icon

  • Account: knez
  • Main tag:
  • Country:
  • Joined: 19-November 10
  • Posts: 1
  • Notoriety: basic (missing)

Posted 13 April 2013 - 07:31 PM

View Postkarnute, on 13 April 2013 - 05:17 PM, said:

FYI, the binary p5yc0_UrT.x86_64 does not run in Debian wheezy (testing) because it needs libc.so.6 from GLIBC_2.14 and libm.so.6 from GLIBC_2.15 (strange mix, as Arch has glibc 2.17), but Debian wheezy has glibc 2.13 (2.17 is only in 'experimental').
Anyway, I downloaded your sources from github and compiled OK, except for some warnings (unused variables, etc.), and the executable produced runs OK now with better sound.
Thank you very much, great work.


libc.so.6 and libm.so.6 are both included in the glibc 2.17-5 (https://www.archlinu...e/x86_64/glibc/), so not so exotic mix after all. The binary was compiled with gcc 4.8.0-1. (binutils 2.23.2-2). We didn't have a debian based 64-bit WS on reach at time.

Psycorunner made my day with this little gift. From my perspective audio comes even before the graphics (since I use quite an audio oriented workstation). Now I can enjoy the version I used to hate too (but the jury is still out on the matter). Thank you, buddy.

#14 User is offline   wraith Icon

  • Account: wraith
  • Country:
  • Joined: 28-February 10
  • Posts: 418
  • Notoriety: basic (missing)

Posted 13 April 2013 - 07:49 PM

View Postp5yc0runn3r, on 13 April 2013 - 11:10 AM, said:

I need more time on it, and when I find the solution, I will for sure make it.


awesome.. can't wait.. :]

#15 User is offline   Vogg Icon

  • Account: vogg
  • Main tag: #rekt.
  • Country:
  • Joined: 08-August 12
  • Posts: 36
  • Notoriety: basic

Posted 13 April 2013 - 09:53 PM

will this also work for .12 or do I have to wait till you update it?

#16 User is offline   p5yc0runn3r Icon

  •   former FS member   
    Engine Developer
  • Account: p5yc0runn3r
  • Country:
  • Joined: 21-March 10
  • Posts: 375
  • Notoriety: basic (afk)

Posted 13 April 2013 - 10:44 PM

View PostVogg, on 13 April 2013 - 09:53 PM, said:

will this also work for .12 or do I have to wait till you update it?


As soon as the next 4.2 update comes out I will update.
dmaHD developer | engine developer | crazy person

#17 User is offline   p5yc0runn3r Icon

  •   former FS member   
    Engine Developer
  • Account: p5yc0runn3r
  • Country:
  • Joined: 21-March 10
  • Posts: 375
  • Notoriety: basic (afk)

Posted 13 April 2013 - 10:51 PM

View Postknez, on 13 April 2013 - 07:31 PM, said:

libc.so.6 and libm.so.6 are both included in the glibc 2.17-5 (https://www.archlinu...e/x86_64/glibc/), so not so exotic mix after all. The binary was compiled with gcc 4.8.0-1. (binutils 2.23.2-2). We didn't have a debian based 64-bit WS on reach at time.

Psycorunner made my day with this little gift. From my perspective audio comes even before the graphics (since I use quite an audio oriented workstation). Now I can enjoy the version I used to hate too (but the jury is still out on the matter). Thank you, buddy.

Thanks for the Linux x86_64 builds and making better sound was my pleasure :rolleyes:
dmaHD developer | engine developer | crazy person

#18 User is offline   p5yc0runn3r Icon

  •   former FS member   
    Engine Developer
  • Account: p5yc0runn3r
  • Country:
  • Joined: 21-March 10
  • Posts: 375
  • Notoriety: basic (afk)

Posted 14 April 2013 - 08:02 AM

View PostBarbatos, on 13 April 2013 - 06:44 PM, said:

Thanks for your addition to the engine source code. I'll have a look at it as soon as I get some time.

If you need my help contact me and I'll be happy to assist. The dmaHD engine has been in use since November 2010 and thus has been tested extensively on a lot of hardware. It is also compatible with Dolby surround decoders.
dmaHD developer | engine developer | crazy person


#20 User is offline   p5yc0runn3r Icon

  •   former FS member   
    Engine Developer
  • Account: p5yc0runn3r
  • Country:
  • Joined: 21-March 10
  • Posts: 375
  • Notoriety: basic (afk)

Posted 14 April 2013 - 06:59 PM

View PostBarbatos, on 14 April 2013 - 04:32 PM, said:

If you're willing to help it would be a pleasure, that's why we've put the engine on github. Feel free to send me pull requests. :)

I just did :)
dmaHD developer | engine developer | crazy person

  • (11 Pages)
  • +
  • 1
  • 2
  • 3
  • 4
  • Last »
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users

Advertisement


Copyright © 1999-2018 Frozensand Games Limited  |  All rights reserved  |  Urban Terror™ and FrozenSand™ are trademarks of Frozensand Games Limited

Frozensand Games is a Limited company registered in England and Wales. Company Reg No: 10343942